Subject: Philosophical question: Is a UDP multicast datagram for which there is no socket match a drop or an ignore?

From: Rick Jones <[email-masked]>
Date: Tue, 30 Sep 2014 16:09:37 -0700

I've been looking at some additional perf <mutter> -e skb_kfree_skb 
results, this time with a laptop connected to a corporate network with a 
large number of Windows systems sending out what they are wont to 
send...  The laptop is just sitting there no active netperfs or anything :)

I see profile hits for __udp4_lib_mcast_deliver() which has a 
kfree_skb() call which will happen if either there were no sockets 
found, or if an integral multiple of ARRAY_SIZE(stack) sockets are 
found.  I'm assuming the latter is exceedingly rare.

Anywho, the philosophical question - is such a situation a drop 
(indicating the existing kfree_skb()), or is it an ignore (indicating a 
consume_skb())?  Should there be a statistic incremented for either of 
those?

happy benchmarking,

rick jones